--- title: "Update the Protected VM Group" slug: "update-the-protected-vm-group-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:57Z published: 2026-11-19T12:57:57Z canonical: "docs.trellix.com/update-the-protected-vm-group-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Protected VM Group This URL updates the protected VM group. ### Resource URL PUT /cloud/cluster//vmgroup ### Request Parameters **URL Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `id` | Cluster id | Number | Yes | **Payload Request Parameters** | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `oldName` | Protected VM group name which needs to be updated | String | Yes | | `name` | New name for protected VM group | String | Yes | | `description` | Protected VM group description | String | No | | `vpc` | VPC where the protected VM group has been created | Array | Yes | | `resourceGroup` | Resource group list in case of Azure | Array | Yes | | `advancedAgentSettings` | Traffic inspection settings | Object | Yes | | `protectedObjects` | List of the protected subnets | Array | Yes | Details of fields in advancedAgentSettings: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `trafficProcessing` | Traffic processing direction. Values can be: - Ingress - Egress - Ingress & Egress | String | Yes | | `inspectionMode` | Inspection mode. Values can be : - IPS - IDS | String | Yes | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned: | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the update was successful | Number | ### Example **Request** PUT [https:///sdkapi/cloud/cluster/101/vmgroup](https://<NSM_IP>/sdkapi/cloud/cluster/101/vmgroup) **Payload** ``` {  "oldName": “Protected_VMGroup”,                "name": "Protected_VMGroup",                "description": "api",                "vpc": ["vpc-06b3ce61(Protected_test)"],                "advancedAgentSettings":                {                    "trafficProcessing": "Ingress & Egress",                    "inspectionMode": "ips"                },                "protectedObjects":                [                    "subnet-bde05df4(Protected_subnet)"                ] } ``` **Response** ``` { " status ": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 500 | 1001 | Internal error message: internal server error | | 2 | 400 | 11001 | VM group name is required | | 3 | 400 | 11001 | Inspection mode is required | | 4 | 400 | 11001 | Invalid Inspection mode, it should be one of: | | 5 | 400 | 11001 | Traffic processing is required | | 6 | 400 | 11001 | Invalid traffic processing, it should be one of: | | 7 | 400 | 11001 | Old VM group name is required |